Installing PostgreSQL for Lasso 9.2.6 on Windows 2012 with IIS8

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Installing PostgreSQL for Lasso 9.2.6 on Windows 2012 with IIS8

lizquigg
The instructions for installing postgreSQL ( http://www.lassosoft.com/lasso-9-server-administration) say:


Lasso Server has been tested with the following versions of this data source.

PostgreSQL 8.x

On any platform it is necessary to install libpq library on the Lasso machine, even in order to access a copy of PostgreSQL hosted on another machine. The libpq library can be obtained by installing PostgreSQL on the Lasso machine, downloading from a third party site, or building PostgreSQL locally. Distributions of PostgreSQL for Windows, Mac, and Linux can be found at the PostgreSQL Web site.

http://www.postgresql.org/

I had previously downloaded the postgreSQL 8 libraries so I tried using libpq from those. I cannot see postgreSQL listed as a datasource within my instance.

Has anyone successfully used PostgreSQL with Lasso 9 on Windows 2012.   If so what version of PostgreSQL?   The website  (http://www.postgresql.org) /does not even support PosgreSQL 8.x anymore as far as I can see.

Thanks for you help.

Liz




Elizabeth K. Quigg
Education Technology Specialist

Education Office
Fermi National Accelerator Laboratory
630 840 2631 office
ed.fnal.gov<http://ed.fnal.gov/>
[hidden email]<http://person@...>

Connect with us!
Facebook <http://www.facebook.com/FermilabEd>  |  Twitter<http://twitter.com/FermilabEd>





#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Installing PostgreSQL for Lasso 9.2.6 on Windows 2012 with IIS8

Brad Lindsay
Liz,

It’s been a long time, so I don’t remember the exact version, but I did git Lasso 9 to connect to a Postgres 8.x datasource. (I don’t remember the exact version.) I do have a vague memory that restarting the instance wasn’t enough to get Postgres to show up under the Datasources for the Lasso 9 admin, I think I actually had to restart instance manager. (My memory is that I restarted my machine which then brought it up, and I surmised it was due to restarting the instance manager.)

One other thing - you can try to connect to the database without using the Lasso 9 datasource setup. You can specify all the -host options to inline and see if you can get it to connect.


HTH,
Brad

On May 8, 2015 at 5:15:20 PM, Elizabeth K Quigg ([hidden email]) wrote:

> The instructions for installing postgreSQL ( http://www.lassosoft.com/lasso-9-server-administration)  
> say:
>  
>  
> Lasso Server has been tested with the following versions of this data source.
>  
> PostgreSQL 8.x
>  
> On any platform it is necessary to install libpq library on the Lasso machine, even in  
> order to access a copy of PostgreSQL hosted on another machine. The libpq library can  
> be obtained by installing PostgreSQL on the Lasso machine, downloading from a third  
> party site, or building PostgreSQL locally. Distributions of PostgreSQL for Windows,  
> Mac, and Linux can be found at the PostgreSQL Web site.
>  
> http://www.postgresql.org/
>  
> I had previously downloaded the postgreSQL 8 libraries so I tried using libpq from those.  
> I cannot see postgreSQL listed as a datasource within my instance.
>  
> Has anyone successfully used PostgreSQL with Lasso 9 on Windows 2012. If so what version  
> of PostgreSQL? The website (http://www.postgresql.org) /does not even support PosgreSQL  
> 8.x anymore as far as I can see.
>  
> Thanks for you help.
>  
> Liz
>  
>  
>  
>  
> Elizabeth K. Quigg
> Education Technology Specialist
>  
> Education Office
> Fermi National Accelerator Laboratory
> 630 840 2631 office
> ed.fnal.gov
> [hidden email]
>  
> Connect with us!
> Facebook | Twitter  
>  
>  
>  
>  
>  
> #############################################################
>  
> This message is sent to you because you are subscribed to
> the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to:  
> Send administrative queries to  
>  


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Installing PostgreSQL for Lasso 9.2.6 on Windows 2012 with IIS8

Jonathan Guthrie-5
In reply to this post by lizquigg
Hi Liz,

After installing the Postgres libs, have you restarted Lasso?

Jono

> On May 8, 2015, at 5:15 PM, Elizabeth K Quigg <[hidden email]> wrote:
>
> The instructions for installing postgreSQL ( http://www.lassosoft.com/lasso-9-server-administration) say:
>
>
> Lasso Server has been tested with the following versions of this data source.
>
> PostgreSQL 8.x
>
> On any platform it is necessary to install libpq library on the Lasso machine, even in order to access a copy of PostgreSQL hosted on another machine. The libpq library can be obtained by installing PostgreSQL on the Lasso machine, downloading from a third party site, or building PostgreSQL locally. Distributions of PostgreSQL for Windows, Mac, and Linux can be found at the PostgreSQL Web site.
>
> http://www.postgresql.org/
>
> I had previously downloaded the postgreSQL 8 libraries so I tried using libpq from those. I cannot see postgreSQL listed as a datasource within my instance.
>
> Has anyone successfully used PostgreSQL with Lasso 9 on Windows 2012.   If so what version of PostgreSQL?   The website  (http://www.postgresql.org) /does not even support PosgreSQL 8.x anymore as far as I can see.
>
> Thanks for you help.
>
> Liz
>




Jonathan Guthrie
[hidden email]


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>